import umsgpack
from Messaging.messaginginterface import Message

class PackMessage(Message):

    def __init__(self, message=None):
        self.message = message

    def serialise(self):
        return umsgpack.packb(self.message)

    def deserialise(self):
        return umsgpack.unpackb(self.message)

